/*
 * ********************************************************************************************************************
 *                     :*$@@%$*:                         ;:                ;;    ;;
 *                   :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                  :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                  =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                  =@*                                  %!              @ $= % %@=   =%@!      %=
 *             *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *           %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *         ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *         $@*   ;@@@%=!:                *@*
 *         =@$    ;;;!=%@@@@=!           =@!
 *          %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2018.  北京上格云技术有限公司
 *           ;%@@$=$@@%*       *@@@$=%@@%;
 *              ::;::             ::;::                                              All rights reservad.
 * ********************************************************************************************************************
 */

package cn.sagacloud.cadengine

import android.util.Log
import cn.sagacloud.android.cadengine.types.FloorData
import cn.sagacloud.cadengine.Opt.MAPCAD
import com.sybotan.base.utils.SJsonUtil


/**
 * Created by mengxy on 2018/10/16.
 * 创建日期：2018/10/16on ${time}
 * 描述： 下载图形数据
 * 作者：zwx
 */
object HttpDownloadMap {

    fun downloadMap(key: String): FloorData? {
        val dl= OkhttpUtil.getRequest("${MAPCAD}${key}&" +
                "systemId=revit")
        val url="${MAPCAD}${key}&" +
                "systemId=revit"
        Log.e("图形","图形下载url=${url}")
//        LogUtils.e("图形下载的数据类型${dl}")
        if (dl=="Image not existed"){
            Log.e("图形","********************************************************************")
            return null
        }
//        LogUtils.e("图形数据=${dl}")
        return SJsonUtil.fromJson<FloorData>(dl)
    }

    fun downloadGZIPMap(key: String): FloorData? {
        val dl = OkhttpUtil.getGzipMap("${MAPCAD}${key}&" +
                "systemId=revit")
        val url="${MAPCAD}${key}&" +
                "systemId=revit"
        Log.e("图形","图形下载url=${url}")
        if (dl=="Image not existed"){
            Log.e("图形","********************************************************************")
            return null
        }else if (dl.isNullOrEmpty()){
            return null
        }
        return SJsonUtil.fromJson<FloorData>(dl)
    }


}