/*
 * ********************************************************************************************************************
 *
 *               iFHS7.
 *              ;BBMBMBMc                  rZMBMBR              BMB
 *              MBEr:;PBM,               7MBMMEOBB:             BBB                       RBW
 *     XK:      BO     SB.     :SZ       MBM.       c;;     ir  BBM :FFr       :SSF:    ;xBMB:r   iuGXv.    i:. iF2;
 *     DBBM0r.  :D     S7   ;XMBMB       GMBMu.     MBM:   BMB  MBMBBBMBMS   WMBMBMBBK  MBMBMBM  BMBRBMBW  .MBMBMBMBB
 *      :JMRMMD  ..    ,  1MMRM1;         ;MBMBBR:   MBM  ;MB:  BMB:   MBM. RMBr   sBMH   BM0         UMB,  BMB.  KMBv
 *     ;.   XOW  B1; :uM: 1RE,   i           .2BMBs  rMB. MBO   MBO    JMB; MBB     MBM   BBS    7MBMBOBM:  MBW   :BMc
 *     OBRJ.SEE  MRDOWOR, 3DE:7OBM       .     ;BMB   RMR7BM    BMB    MBB. BMB    ,BMR  .BBZ   MMB   rMB,  BMM   rMB7
 *     :FBRO0D0  RKXSXPR. JOKOOMPi       BMBSSWBMB;    BMBB:    MBMB0ZMBMS  .BMBOXRBMB    MBMDE RBM2;SMBM;  MBB   xBM2
 *         iZGE  O0SHSPO. uGZ7.          sBMBMBDL      :BMO     OZu:BMBK,     rRBMB0;     ,EBMB  xBMBr:ER.  RDU   :OO;
 *     ,BZ, 1D0  RPSFHXR. xWZ .SMr                  . .BBB
 *      :0BMRDG  RESSSKR. 2WOMBW;                   BMBMR
 *         i0BM: SWKHKGO  MBDv
 *           .UB  OOGDM. MK,                                          Copyright (c) 2015-2019.  斯伯坦机器人
 *              ,  XMW  ..
 *                  r                                                                     All rights reserved.
 *
 * ********************************************************************************************************************
 */

package com.sybotan.android.views

import android.content.Context
import android.support.v4.view.ViewPager
import android.util.AttributeSet
import android.view.MotionEvent

/**
 * 扩展ViwPager是否支持左右滑动功能
 *
 * @author  庞利祥(sybotan@126.com)
 */
open class SViewPager(context: Context, attrs: AttributeSet? = null) : ViewPager(context, attrs) {
    /** 是否支持左右滑动 */
    var isSlide = false
    /** 是否平滑滑动 */
    var smoothScroll = false

    /**
     * 触摸回调
     *
     * @param   event       事件参数
     * @return  是否处理了事件
     */
    override fun onTouchEvent(event: MotionEvent): Boolean {
        return isSlide && super.onTouchEvent(event)
    } // Function onTouchEvent()

    /**
     * 是否拦截触摸事件
     *
     * @param   event       事件参数
     * @return  中断返回true；否则返回false
     */
    override fun onInterceptTouchEvent(event: MotionEvent): Boolean {
        return isSlide && super.onInterceptTouchEvent(event)
    } // Function onInterceptTouchEvent()

    /**
     * 设置当前页
     *
     * @param   item    页面索引
     */
    override fun setCurrentItem(item: Int) {
        super.setCurrentItem(item, smoothScroll)
        return
    } // Function setCurrentItem()
} // Class SViewPager